org.omg.CosNaming

## Interface BindingIterator

- All Superinterfaces:
    BindingIteratorOperations, IDLEntity, Object, Serializable
  All Known Implementing Classes:
    _BindingIteratorImplBase, _BindingIteratorStub

      public interface BindingIterator
      extends BindingIteratorOperations, Object, IDLEntity

  The BindingIterator interface allows a client to iterate through the bindings using the next_one or next_n operations. The bindings iterator is obtained by using the `list` method on the `NamingContext`.
  See Also:
    `NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)`

- - ### Method Summary

    - ### Methods inherited from interface org.omg.CosNaming.BindingIteratorOperations

      `destroy, next_n, next_one`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.